GIMP(1)

NAME
gimp - an image manipulation and paint program.

SYNOPSIS
gimp [-h] [--help] [-v] [--version] [-b] [--batch <commands>] [-g] [--gimprc <gimprc>] [-n] [--no-interface] [-r] [--restore-session] [--no-data] [--verbose] [--no-shm] [--no-mmx] [--display display] [--no-splash] [--no-splash-image] [--debug-handlers] [--console-messages] [--system-gimprc <gimprc>] [filename]...

DESCRIPTION

The GIMP is the GNU Image Manipulation Program. It is used to edit and manipulate images. It can load and save a variety of image formats and can be used to convert between formats.

GIMP can also be used as a paint program. It features a set of drawing and painting tools such as airbrush, clone, pencil, and paint brush. Painting and drawing tools can be applied to an image with a variety of paint modes. It also offers an extensive array of selection tools like rectangle, ellipse, fuzzy select, bezier select, intelligent scissors, and select by color.

GIMP offers a variety of plugins that perform a variety of image manipulations. Examples include bumpmap, edge detect, gaussian blur, and many others.

In addition, GIMP has several scripting extension which allow for advanced non-interactive processing and creation of images.

OPTIONS
The gimp accepts the following options:

-h, --help
    Display a list of all commandline options.

-v, --version
    Output the version info.

-b, --batch <commands>
    Execute the set of <commands> non-interactively. The set of <commands> is typically in the form of a script that can be executed by one of the GIMP scripting extensions.

-g, --gimprc <gimprc>
    Use an alternative gimprc instead of the default one. Useful in cases where plugins paths or machine specs may be different.

-i, --no-interface
    Run without a user interface.

-r, --restore-session
    Try to restore saved session.

-d, --no-data
    Do not load patterns, gradients, palettes, or brushes. Often useful in non-interactive situations where startup time is to be minimized.

--verbose
    Show startup messages.

--no-shm
    Do not use shared memory between GIMP and its plugins. Instead of using shared memory, GIMP will send the data via pipe. This will result in slower performance than using shared memory.

--no-mmx
    Do not use MMX routines even if GIMP detects the availability of MMX.

--display display
    Use the designated X display.

-s, --no-splash
    Do not show the splash screen.

-S, --no-splash-image
    Do not show the splash screen image as part of the splash screen.

--debug-handlers
    Enable debugging signal handlers.

-c, --console-messages
    Do not popup dialog boxes on errors or warnings. Print the messages on the console instead.

--enable-stack-trace {never|query|always}
    If a stack-trace should be generated in case of fatal signals.

--system-gimprc <gimprc>
    Use an alternate system gimprc file.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

FILES
GIMP's data files are stored in @gimpdatadir@, where ${prefix} is set on install, but is typically /usr/local. GIMP's system-wide configuration files are stored in @gimpsysconfdir@. Most GIMP configuration is read in from the user's init file, $HOME/@gimpdir@/gimprc. The system wide equivalent is in @sysconfdir@/gimprc. The system wide file is parsed first and the user gimprc can override the system settings. @sysconfdir@/gimprc_user is the default gimprc placed in users' home directories the first time GIMP is run. $HOME/.gimp-1.3/devicerc - holds settings for input devices together with the tool, colors, brush, pattern and gradient associated to that device. $HOME/@gimpdir@/documents - lists all images that have been opened or saved using GIMP. $HOME/@gimpdir@/gtkrc - users set of gimp-specific GTK config settings. Options such as widget color and fonts sizes can be set here. @gimpsysconfdir@/gtkrc - sytem wide default set of gimp-specific GTK config settings. $HOME/@gimpdir@/menurc - user's set of keybindings. @gimpsysconfdir@/menurc - system wide set of keybindings. $HOME/@gimpdir@/parasiterc - Description of all available GIMP parasites. This is file is recreated everytime GIMP starts up. $HOME/@gimpdir@/sessionrc - This file takes session-specific info (that is info, you want to keep between two gimp-sessions). You are not supposed to edit it manually, but of course you can do. This file will be entirely rewritten every time you quit the GIMP. If this file isn't found, defaults are used. @gimpsysconfdir@/unitrc - default user unit database. It contains the unit definitions for centimeters, meters, feet, yards, typographic points and typographic picas and is placed in users home directories the first time the GIMP is ran. $HOME/@gimpdir@/unitrc - This file contains your user unit database. You can modify this list with the unit editor. You are not supposed to edit it manually, but of course you can do. This file will be entirely rewritten every time you quit the GIMP. $HOME/@gimpdir@/plug-ins - location of user installed plugins. $HOME/@gimpdir@/pluginrc - plugin initialization values are stored here. This file is parsed on startup and regenerated if need be. $HOME/@gimpdir@/modules - location of user installed modules. $HOME/@gimpdir@/tmp - default location that GIMP uses as temporary space. @gimpdatadir@/brushes - system wide brush files. $HOME/@gimpdir@/brushes - user created and installed brush files. These files are in the .gbr (gimp brush) format. $HOME/@gimpdir@/generated_brushes - Brushes generated and saved from the brush dialog. These files are in the .vbr (gimp vector brush) format. $HOME/@gimpdir@/curves - Curve profiles and presets as saved from the Curves tool. $HOME/@gimpdir@/gimpressionist - Presets and user created brushes and papers are stored here. $HOME/@gimpdir@/levels - Level profiles and presets as saved from the Levels tool. @gimpdatadir@/palettes - the system wide palette files. The files are copied to the user palettes directory when GIMP is first ran to allow the user to modify the palettes. This directory is not searched for palettes by default. $HOME/@gimpdir@/palettes - copies of the system palette files as well as user created and modified palette files. @gimpdatadir@/patterns - basic set of patterns for use in GIMP. $HOME/@gimpdir@/patterns - user created and installed gimp pattern files. This files are in the .pat format. @gimpdatadir@/gradients - standard system wide set of gradient files. $HOME/@gimpdir@/gradients - user created and installed gradient files. @gimpdatadir@/scripts - system wide directory of scripts used in Script-Fu and other scripting extensions. $HOME/@gimpdir@/scripts - user created and installed scripts. @gimpdatadir@/gflares - system wide directory used by the gflare plug-in. $HOME/@gimpdir@/gflares - user created and installed gflare files. @gimpdatadir@/gfig - system wide directory used by the gfig plug-in. $HOME/@gimpdir@/gfig - user created and installed gfig files. @gimpdatadir@/gimp_splash.ppm - graphic file used for the GIMP splash screen. @gimpdatadir@/gimp_logo.ppm - graphic file used in the GIMP about dialog. @gimpdatadir@/tips/gimp_tips.txt - list of tips displayed in the "Tip of the Day" dialog box. At the same place you will find files with tips in other languages.

SUGGESTIONS AND BUG REPORTS
Any bugs found should be reported to the online bug-tracking system available on the web at http://bugzilla.gnome.org/. Before reporting bugs, please check to see if the bug has already been reported. When reporting GIMP bugs, it is important to include a reliable way to reproduce the bug, version number of GIMP (and probably GTK), OS name and version, and any relevant hardware specs. If a bug is causing a crash, it is very useful if a stack trace can be provided. And of course, patches to rectify the bug are even better.

OTHER INFO
The canonical place to find GIMP info is at http://www.gimp.org/. Here you can find links to just about many other GIMP sites, tutorials, data sets, mailing list archives, and more. There is also a GIMP User Manual available at http://manual.gimp.org/ that goes into much more detail about the interactive use of GIMP. The latest version of GIMP and the GTK+ libs is always available at ftp://ftp.gimp.org/.

AUTHORS
Spencer Kimball and Peter Mattis. With patches, fixes, plugins, extensions, scripts, translations, documentation, and more from lots and lots of people all over the world.

SEE ALSO
gimprc(5), gimptool(1), gimp-remote(1)